Erro ao executar ng serve

polyfills.ts

import "classlist.js";

import "./node_modules/core-js/es6/array";

import "core-js/es6/date";

import "core-js/es6/function";

import "core-js/es6/map";

import "core-js/es6/math";

import "core-js/es6/number";

import "core-js/es6/object";

import "core-js/es6/parse-float";

import "core-js/es6/parse-int";

import "core-js/es6/reflect";

import "core-js/es6/regexp";

import "core-js/es6/set";

import "core-js/es6/string";

import "core-js/es6/symbol";

import "core-js/es7/reflect";

import "web-animations-js";

import "zone.js/dist/zone";

erro

./src/polyfills.ts - Error: Module build failed (from ./node_modules/@ngtools/webpack/src/ivy/index.js):
TypeError: The 'compilation' argument must be an instance of Compilation
    at getCompilationHooks (C:\sistemas\angular\Kcms.Erp.Web\node_modules\webpack\lib\javascript\JavascriptModulesPlugin.js:125:10)
    at C:\sistemas\angular\Kcms.Erp.Web\node_modules\webpack\lib\javascript\CommonJsChunkFormatPlugin.js:43:19
    at Hook.eval [as call] (eval at create (C:\sistemas\angular\Kcms.Erp.Web\node_modules\tapable\lib\HookCodeFactory.js:19:10), <anonymous>:5:1) 
    at Hook.CALL_DELEGATE [as _call] (C:\sistemas\angular\Kcms.Erp.Web\node_modules\tapable\lib\Hook.js:14:14)
    at Compiler.newCompilation (C:\sistemas\angular\Kcms.Erp.Web\node_modules\@angular-devkit\build-angular\node_modules\webpack\lib\Compiler.js:1030:30)
    at C:\sistemas\angular\Kcms.Erp.Web\node_modules\@angular-devkit\build-angular\node_modules\webpack\lib\Compiler.js:1073:29
    at Hook.eval [as callAsync] (eval at create (C:\sistemas\angular\Kcms.Erp.Web\node_modules\tapable\lib\HookCodeFactory.js:33:10), <anonymous>:13:1)
    at Hook.CALL_ASYNC_DELEGATE [as _callAsync] (C:\sistemas\angular\Kcms.Erp.Web\node_modules\tapable\lib\Hook.js:18:14)
    at Compiler.compile (C:\sistemas\angular\Kcms.Erp.Web\node_modules\@angular-devkit\build-angular\node_modules\webpack\lib\Compiler.js:1068:28)    at Compiler.runAsChild (C:\sistemas\angular\Kcms.Erp.Web\node_modules\@angular-devkit\build-angular\node_modules\webpack\lib\Compiler.js:520:8)

O que pode ser ?

Vc consegue descobrir qual a vers√£o do webpack que est√° sendo usada?

1 curtida

"webpack-bundle-analyzer": ‚Äú^4.4.2‚ÄĚ Esta ?

Acho que não. Acredito que ela seja transitiva (é instalada de forma indireta). Dá uma olhada no arquivo package-lock.json.

1 curtida

Pesquisando por webpack dentro do arquivo package-lock.json, tem 362 palavras dentro deste arquivo

Veja se tem a dependencia apenas webpack, assim:

"webpack": "<<vers√£o>>"
1 curtida

"webpack": ‚Äú5.36.2‚ÄĚ,

Nessa issue do github (não tem a ver com angular, mas sim com laravel, porém é o mesmo erro referente ao node): https://github.com/JeffreyWay/laravel-mix/issues/2832

A pessoal apagou o node_modules global e disse que resolveu o problema.

1 curtida

Eu apaguei a pasta node_modules, apaguei o arquivo package-lock.json, executei o npm install e mesmo assim não adiantou, até por isso abri este tópico

Mas vc apagou o node_modules do projeto ou o do sistema (global)?

1 curtida

Do sistema.

O que acha ?

Cara, nunca tinha visto esse erro. Teria que pesquisar mais pra entender melhor. Essa tah complicada.

1 curtida